<?php
/**
 * @version		$Id: view.html.php 144 2009-06-27 02:19:12Z eddieajau $
 * @copyright	Copyright (C) 2009 New Life in IT Pty Ltd. All rights reserved.
 * @license		GNU General Public License <http://www.gnu.org/copyleft/gpl.html>
 * @link		http://www.theartofjoomla.com
 */

// no direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * @package		TAOJ.Quanta
 * @subpackage	com_quanta
 */
class QuantaViewPie extends JView
{
	protected $state;
	protected $items;
	protected $pagination;

	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
		$state		= $this->get('State');
		$records	= $this->get('Records');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		// Load the chart class.
		JLoader::import('chart.pie', JPATH_QUANTA.DS.'libraries');

		// Inital the chart, data and parameters.
		$chart = new JChartPie($records, $state->params);

		// Set the chart sub-type.
		$chart->setSubType($state->params->get('chart-subtype'));

		$this->assignRef('state',		$state);
		$this->assignRef('records',		$records);
		$this->assignRef('chart',		$chart);

		parent::display($tpl);

		$this->_prepareDocument();
	}

	/**
	 * Prepares the metadata in the document.
	 */
	protected function _prepareDocument()
	{
	}
}